Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362479 - Could create route with multiple services when leave one service name empty but weight set.
Summary: Could create route with multiple services when leave one service name empty b...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 10:37 UTC by Yanping Zhang
Modified: 2016-09-19 13:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:49:59 UTC


Attachments (Terms of Use)
overview-before-create (deleted)
2016-08-02 10:39 UTC, Yanping Zhang
no flags Details
overview-after-create (deleted)
2016-08-02 10:39 UTC, Yanping Zhang
no flags Details
created-route-page (deleted)
2016-08-02 10:40 UTC, Yanping Zhang
no flags Details

Description Yanping Zhang 2016-08-02 10:37:51 UTC
Description of problem:
When there are several services, try to create route, choose "Split traffic across multiple services", after set the first service name with weight and the second service name with weight separately, change the first service name with the second service name, the second service name box will become empty, but weight is still set, click "Create". Route is created successfully, but info on route page are confusing, and the service expose to the route disappeared on the overview page.

Version-Release number of selected component (if applicable):
openshift v1.3.0-alpha.2+b26dd1e
kubernetes v1.3.0+57fb9ac
etcd 2.3.0+git


How reproducible:
Always

Steps to Reproduce:
1.Create several services. 
2.Create route from routes page, choose "Split traffic across multiple services", after set the first service name with weight and the second service name with weight separately, change the first service name with the second service name, the second service name box will become empty, but weight is still set, click "Create"
3.Check the created route detail page.
4.Check the overview page.

Actual results:
2.Route is created successfully.
3.The traffic table shows confusing weights with duplicate service name
4.The service exposing to the route disappeared on the overview page.

Expected results:
3.Should show correct service and weight.
4.The service should show up on overview page.

Additional info:
This may be a issue related to the bug https://bugzilla.redhat.com/show_bug.cgi?id=1356003

Comment 1 Yanping Zhang 2016-08-02 10:39:04 UTC
Created attachment 1186739 [details]
overview-before-create

Comment 2 Yanping Zhang 2016-08-02 10:39:43 UTC
Created attachment 1186740 [details]
overview-after-create

Comment 3 Yanping Zhang 2016-08-02 10:40:17 UTC
Created attachment 1186741 [details]
created-route-page

Comment 4 Jessica Forrester 2016-08-02 22:39:06 UTC
fixed in https://github.com/openshift/origin/pull/10176

Comment 5 Yanping Zhang 2016-08-03 10:06:56 UTC
Well test after the pr merged.

Comment 6 Yanping Zhang 2016-08-04 05:33:06 UTC
OpenShift v1.3.0-alpha.2+3da4944
Kubernetes v1.3.0+57fb9ac
Tested on devenv-rhel7_4747, when create route with multiple services, could not leave one service name empty, the bug can not be reproduced now.


Note You need to log in before you can comment on or make changes to this bug.